# Module @wormhole-foundation/connect-sdk-cosmwasm - v0.3.0

## Cosmwasm

Stuff that idk what to do about yet

# RPC

Right now, getRpc on the `Platform` type is sync, but the cosmjs client `connect` method is async. what do?

# Addresses

Contract addresses are 32 bytes

"Regular" addresses are 20 bytes

Each chain has its own special prefix

# Transfers into cosmos

Some knowledge of cosmos payload format is required to format the message correctly. This is somewhat similar to the need to understand Solana ATAs for transferring to Solana.

# Transfers between cosmos chains

No attestation will be created since no VAA is created so `fetchAttestation` is a noop?

### Index

### Namespaces

testing

### Classes - Cosmwasm

CosmwasmPlatform

### Classes - Other

CosmwasmAddress
CosmwasmChain
CosmwasmUnsignedTransaction
Gateway

### Interfaces

CosmwasmTransaction
WrappedRegistryResponse

### Type Aliases

AnyCosmwasmAddress
CosmwasmChains
CosmwasmEvmChain
CosmwasmPlatformType
IbcChannels
UniversalOrCosmwasm

### Variables

DEFAULT_FEE
IBC_MSG_TYPE
IBC_PACKET_CONN
IBC_PACKET_DATA
IBC_PACKET_DST
IBC_PACKET_DST_PORT
IBC_PACKET_RECEIVE
IBC_PACKET_SEND
IBC_PACKET_SEQ
IBC_PACKET_SRC
IBC_PACKET_SRC_PORT
IBC_TIMEOUT_MILLIS
IBC_TRANSFER_PORT
MSG_EXECUTE_CONTRACT_TYPE_URL
_platform
evmLikeChains

### Functions

addressPrefixToChain
buildExecuteMsg
chainToAddressPrefix
chainToNativeDenoms
computeFee
cosmwasmNetworkChainToRestUrls
nativeDenomToChain
networkChainToChannels
searchCosmosLogs

Generated using TypeDoc